import'./../../external/@lit/reactive-element/reactive-element.js';import'./../../external/lit-html/lit-html.js';import'./../../external/lit-element/lit-element.js';import{css as e}from'./../../external/@lit/reactive-element/css-tag.js';var t=e`*,
*::before,
*::after {
  box-sizing: border-box;
}

:host {
  display: inline-block;
}

.kd-link-text {
  display: flex;
  position: relative;
  text-decoration: none;
  font-weight: 500;
  transition: color 300ms ease-in-out;
}
.kd-link-text:hover slot[name=icon]::slotted(*) {
  transform: translate(4px, 0);
}
.kd-link-text.icon-left:hover slot[name=icon]::slotted(*) {
  transform: translate(-4px, 0);
}
.kd-link-text-primary {
  color: var(--kd-color-text-link-level-default);
}
.kd-link-text-primary:hover {
  color: var(--kd-color-text-link-level-hover);
}
.kd-link-text-primary:focus {
  color: var(--kd-color-text-link-level-default);
  outline: 1px solid var(--kd-color-border-variants-focus);
  -webkit-transition: outline 100ms ease-in-out;
  -moz-transition: outline 100ms ease-in-out;
  -o-transition: outline 100ms ease-in-out;
  transition: outline 100ms ease-in-out;
  text-decoration: none;
}
.kd-link-text-primary:active {
  color: var(--kd-color-text-link-level-pressed);
  text-decoration: underline;
  outline: none;
}
.kd-link-text-primary-dark {
  color: var(--kd-color-background-link-level-default-light);
}
.kd-link-text-primary-dark:hover {
  color: var(--kd-color-background-link-level-hover-light);
}
.kd-link-text-primary-dark:focus {
  color: var(--kd-color-background-link-level-default-light);
  outline: 1px solid var(--kd-color-border-variants-focus);
  transition: outline 100ms ease-in-out;
  text-decoration: none;
}
.kd-link-text-primary-dark:active {
  color: var(--kd-color-background-link-level-pressed-light);
  text-decoration: underline;
  outline: none;
}
.kd-link-text-secondary {
  color: var(--kd-color-text-level-primary);
}
.kd-link-text-secondary:hover {
  color: var(--kd-color-text-link-level-hover);
}
.kd-link-text-secondary:focus {
  outline: 1px solid var(--kd-color-text-level-primary);
  -webkit-transition: outline 100ms ease-in-out;
  -moz-transition: outline 100ms ease-in-out;
  -o-transition: outline 100ms ease-in-out;
  transition: outline 100ms ease-in-out;
  text-decoration: none;
}
.kd-link-text-secondary:active {
  color: var(--kd-color-text-link-level-pressed);
  text-decoration: underline;
  outline: none;
}
.kd-link-text-disabled {
  cursor: not-allowed;
  color: var(--kd-color-text-link-level-disabled);
  text-decoration: none;
  border: none;
  outline: none;
  pointer-events: none;
}
.kd-link-text-disabled:hover, .kd-link-text-disabled:focus, .kd-link-text-disabled:active, .kd-link-text-disabled:visited {
  color: var(--kd-color-text-link-level-disabled);
  border: none;
  outline: none;
  text-decoration: none;
}
.kd-link-text-disabled:hover slot[name=icon]::slotted(*), .kd-link-text-disabled:focus slot[name=icon]::slotted(*), .kd-link-text-disabled:active slot[name=icon]::slotted(*), .kd-link-text-disabled:visited slot[name=icon]::slotted(*) {
  transform: translate(0px, 0);
}
.kd-link-text-inline {
  text-decoration: underline;
}
.kd-link-text-standalone {
  text-decoration: none;
}
.kd-link-text-standalone:hover {
  text-decoration: underline;
}
.kd-link-text-span-flex {
  display: flex;
  align-items: center;
  gap: 8px;
}
.icon-left .kd-link-text-span-flex slot[name=icon]::slotted(*) {
  order: -1;
  margin-right: 8px;
}
.kd-link-text-span-flex slot[name=icon]::slotted(*) {
  display: inline-flex;
  align-self: center;
  margin-left: 0px;
  transition: 300ms ease-in-out;
  -moz-transition: 300ms ease-in-out;
  -o-transition: 300ms ease-in-out;
  -webkit-transition: 300ms ease-in-out;
}`;export{t as default};
//# sourceMappingURL=link.scss.js.map
